EDIT - feature request #8657

Order description element in portal according to CharacterTree

11/07/2019 12:32 PM - Patrick Plitzner

Status: Closed Start date:

Priority: New Due date:

Assignee: Patrick Plitzner % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.12

Severity: normal

Description

Related issues:

Related to EDIT - feature request #8798: description page: Show character hi...
Related to EDIT - bug #10195: Character data should be ordered by character tree
Copied to EDIT - task #8973: [DISCUSS] Should description tables reflect the ...
Copied to EDIT - task #8974: [DISCUSS] Should freetext descriptions reflect t...

Resolved
New
New
New

Associated revisions

Revision 7af2c900 - 11/15/2019 06:07 PM - Patrick Plitzner

ref #8657 Add (remote) service for ordered description elements by tree

Revision c5fa3edd - 11/16/2019 12:30 PM - Patrick Plitzner

ref #8657 Add webservice call to cdm_api.module

Revision a38c0718 - 11/20/2019 12:40 PM - Patrick Plitzner

ref #8657 Retain hierarchy information of description elements

e remove web service for flat ordered list

Revision d3ac3ea7 - 11/20/2019 12:47 PM - Patrick Plitzner
ref #8657 Extend property path for description init strategy

Revision ea0ae3c7 - 11/21/2019 01:19 PM - Patrick Plitzner

ref #8657 Add descriptive data set information to description detail page

Revision 7e99b1ac - 11/21/2019 01:23 PM - Patrick Plitzner
ref #8657 Remove $linkText parameter

Revision 875d5¢c3b - 11/21/2019 01:47 PM - Patrick Plitzner

ref #8657 Add taxon information to description detail page

Revision 1e16407a - 11/21/2019 02:00 PM - Patrick Plitzner

ref #8657 Use link icon for descriptions, taxa and specimens

Revision 9705e44e - 11/21/2019 02:32 PM - Patrick Plitzner
ref #8657 Avoid null in URL

Revision 9b434f6a - 11/21/2019 05:19 PM - Andreas Kohlbecker

ref #8657 moving description methods to description.inc

History

#1 - 11/07/2019 12:36 PM - Patrick Plitzner
- Target version changed from Unassigned CDM tickets to 287
#2 - 11/20/2019 04:24 PM - Patrick Plitzner
- Status changed from New to Resolved

- % Done changed from 0 to 50

#3 - 12/03/2019 12:14 PM - Patrick Plitzner

- Assignee changed from Patrick Plitzner to Andreas Mliller

Assignin to you Andreas M.
But maybe also Andreas K. needs to look at the code

#4 - 12/03/2019 04:35 PM - Andreas Miller

Can you provide an example url?

#5 - 12/17/2019 02:15 PM - Andreas Miller

- Target version changed from 287 to Release 5.12

#6 - 04/22/2020 05:39 PM - Andreas Miiller
Example URL is: http:/caryophyllales.

#7 - 04/22/2020 05:41 PM - Andreas Miller

Maybe this ticket also covered the "freetext" description ordering like on
http://caryophyllales.org/cactaceae/cdm_dataportal/taxon/b15ec01d-b909-4143-b197-e752b6{34d5b

#8 - 04/22/2020 05:49 PM - Andreas Miiller

Currently only a flat list is created. | opened a new ticket to discuss if also the hierarchical structure should be reflected: #8973

#9 - 04/22/2020 05:51 PM - Andreas Miiller
- Copied to task #8973: [DISCUSS] Should description tables reflect the feature tree hierarchy and/or empty feature nodes? added

#10 - 04/22/2020 06:02 PM - Andreas Miiller
- Copied to task #8974: [DISCUSS] Should freetext descriptions reflect the feature tree hierarchy and/or empty feature nodes? added

#11 - 04/22/2020 06:12 PM - Andreas Miiller
- File picture552-1.png added

- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Andreas Kohlbecker
=> move this to #8798

#12 - 04/22/2020 06:12 PM - Andreas Miiller
- % Done changed from 50 to 80

#13 - 04/22/2020 06:19 PM - Andreas Miiller

- Related to feature request #8798: description page: Show character hierarchy added
http://caryophyllales.org/cactaceae/cdm_dataportal/description/f4fc4b11-90c7-4a02-b236-2d58f5891e6e
http://caryophyllales.org/cactaceae/cdm_dataportal/taxon/b15ec01d-b909-4143-b197-e752b6f34d5b
https://dev.e-taxonomy.eu/redmine/issues/8973
http://caryophyllales.org/cactaceae/cdm_dataportal/description/f4fc4b11-90c7-4a02-b236-2d58f5891e6e
https://dev.e-taxonomy.eu/redmine/issues/8973
https://dev.e-taxonomy.eu/redmine/issues/8798

#14 - 04/22/2020 06:21 PM - Andreas Miiller
- Status changed from Feedback to Closed
- Assignee changed from Andreas Kohlbecker to Patrick Plitzner

- % Done changed from 80 to 100

| move the indentation issue to #8798 as it fits better there. And close this ticket.

#15 - 12/06/2022 02:23 PM - Andreas Miiller
- Related to bug #10195: Character data should be ordered by character tree added
